package com.happy.dao;

import com.happy.Model.Holiday;
import com.happy.Model.HouseNumberStatus;
import com.happy.dto.HouseNumberStatusDto;

import java.util.List;

public interface HouseNumberStatusDao {
    int deleteHolidayByYear(String year);

    int saveHolidayBatch(List<Holiday> list);

    List<Holiday> queryHolidays(String year, String startDate, String endDates);

    int saveBatch(List<HouseNumberStatus> list);

    int updateHouseNumberStatus(String bookId);

    List<HouseNumberStatusDto> queryList(HouseNumberStatusDto houseNumberStatusDto);

    void updateStatus(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 通过订单id集合查询订单表的一些信息集合
     */
    List<HouseNumberStatusDto> queryOrderSomeColumnListByIds(List<String> ids);

    List<HouseNumberStatus> getList(String sqlx);
}
